# Podjumper

Podjumper is a tiny command line tool for handling qa servers on a kubernetes cluster.
It makes a lof of assumptions of your kubernetes setup. For example, for shorthand commands which
are documented below it assumes that all pods have a label 'subdomain' and that there is only
one pod for each unique subdomain label.

This is how podjumper is currently intended to work. More tooling is in development.
Some basic examples are below.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'podjumper'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install podjumper

## Usage

Tailing logs of a QA server
```ruby
$ podj logs qa4
```

List all rake commands remotely
```ruby
$ podj exec qa4 'bundle exec rake tasks -T'
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/johndavidmartinez/podjumper. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Podjumper project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/podjumper/blob/master/CODE_OF_CONDUCT.md).
